package com.kingdee.eas.custom.recuritment.task;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import com.kingdee.eas.common.EASBizException;
import java.lang.String;



public abstract class AbstractBeisenTransferPhaseFacadeControllerBean extends AbstractBizControllerBean implements BeisenTransferPhaseFacadeController
{
    protected AbstractBeisenTransferPhaseFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("49A51C3B");
    }

    public void syncRecApprovalToBeisen(Context ctx, String billId, int preponeHours) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("3a2bd7cc-9de2-476f-9bd3-2436c14f336a"), new Object[]{ctx, billId, new Integer(preponeHours)});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _syncRecApprovalToBeisen(ctx, billId, preponeHours);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _syncRecApprovalToBeisen(Context ctx, String billId, int preponeHours) throws BOSException, EASBizException
    {    	
        return;
    }

    public void syncOfferToBeisen(Context ctx, String billId, int preponeHours) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("0295300c-17f3-46bb-8d11-6d88a1f0eea1"), new Object[]{ctx, billId, new Integer(preponeHours)});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _syncOfferToBeisen(ctx, billId, preponeHours);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _syncOfferToBeisen(Context ctx, String billId, int preponeHours) throws BOSException, EASBizException
    {    	
        return;
    }

}